Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Class KeyDescriptionImpl

    java.lang.Object
      de.grogra.util.KeyDescriptionImpl

All Implemented Interfaces:
  Described, KeyDescription

    public class KeyDescriptionImpl

extends java.lang.Object
implements KeyDescription

Field Summary

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Constructor Summary
`KeyDescriptionImpl(java.lang.String key, I18NBundle bundle, java.lang.String bundleKey, Type type, Quantity quantity)`
`KeyDescriptionImpl(java.lang.String key, java.lang.String description, Type type, Quantity quantity)`

Method Summary
`java.lang.Object` | `getDescription(java.lang.String type)` Returns the description associated with the given `type`.
`java.lang.String` | `getKey()` Returns the key which is described by this instance.
`Quantity` | `getQuantity()` Returns the quantity of values which are associated with the key.
`Type` | `getType()` Returns the type of values which are associated with the key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyDescriptionImpl

    public KeyDescriptionImpl(java.lang.String key,
                              I18NBundle bundle,
                              java.lang.String bundleKey,
                              Type type,
                              Quantity quantity)

### KeyDescriptionImpl

    public KeyDescriptionImpl(java.lang.String key,
                              java.lang.String description,
                              Type type,
                              Quantity quantity)

Method Detail

### getDescription

    public java.lang.Object getDescription(java.lang.String type)

  Description copied from interface: `Described`
  Returns the description associated with the given `type`. `type` has to be one of the predefined constants of this interface, the returned value has to conform to the specification of the used constant.

  Specified by:
    `getDescription` in interface `Described`
  Parameters:
    `type` - the type of description
  Returns:
    the description, or `null` if no description is available

### getKey

    public java.lang.String getKey()

  Description copied from interface: `KeyDescription`
  Returns the key which is described by this instance.

  Specified by:
    `getKey` in interface `KeyDescription`
  Returns:
    the key

### getQuantity

    public Quantity getQuantity()

  Description copied from interface: `KeyDescription`
  Returns the quantity of values which are associated with the key.

  Specified by:
    `getQuantity` in interface `KeyDescription`
  Returns:
    the quantity of values

### getType

    public Type getType()

  Description copied from interface: `KeyDescription`
  Returns the type of values which are associated with the key.

  Specified by:
    `getType` in interface `KeyDescription`
  Returns:
    the type of values

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD